Subject: Re: [pcp] PCP interop

From: <[email-masked]>
Date: Fri, 5 Aug 2011 20:56:13 +0800

Yiu, thanks for your attention!;)

Xiaohong

|-----Original Message-----
|From: Lee, Yiu [mailto:[email-masked]] 
|Sent: Sunday, July 31, 2011 9:27 AM
|To: DENG Xiaohong ESP/PEK; Alain Durand; [email-masked]
|Cc: [email-masked]
|Subject: Re: [pcp] PCP interop
|
|Congrats and well done!
|
|On 7/28/11 5:09 PM, "[email-masked]"
|<[email-masked]> wrote:
|
|>In case  a story between rough consensus and interop sounds fun:
|>
|>Francis and I have had a conversation before Quebec meeting about 
|>whether putting IPv6 or IPv4 source address in the common header, and 
|>that time being Francis thought it should be IPv4 while Paul thought 
|>IPv6.  After that, Francis, finally, changed one line of code because 
|>our implementation agreed with Paul, which make the two 
|implementations 
|>interop.
|>
|>Well, rough consensus, indeed, makes things happen! ;-)
|>
|>Xiaohong
|>
|>|-----Original Message-----
|>|From: Alain Durand [mailto:[email-masked]]
|>|Sent: Thursday, July 28, 2011 6:01 AM
|>|To: Paul Selkirk
|>|Cc: [email-masked]
|>|Subject: Re: [pcp] PCP interop
|>|
|>|This is GREAT! During the PCP meeting, when I introduced the demo, I 
|>|asked for an interop session next IETF, you guys have delivered 4 
|>|months early!
|>|Congratulations!
|>|
|>|   -Alain.
|>|
|>|
|>|
|>|On Jul 27, 2011, at 5:25 PM, Paul Selkirk wrote:
|>|
|>|> When we got to Quebec, we had only been planning a very simple PCP 
|>|> demo - our client, our server, and our IWF. But there was the 
|>|> Huawei/France Telecom group, with all of their kit. And it 
|turns out 
|>|> we both implement
|>|> draft-12 over DS-Lite, so we're using the same packet 
|format in the 
|>|> same environment. Hmm...
|>|> 
|>|> Today we used our client to request mappings from their
|>|server. We did
|>|> this with both a simple command-line client and with a modified 
|>|> torrent client.
|>|> 
|>|> Testing was limited to MAP4, with and without PREFER_FAILURE.
|>|> They don't seem to support FILTER, we don't support things like 
|>|> draft-tsou-pcp-natcoord-03, neither support the DHCP option, etc.
|>|> But the core functionality works.
|>|> 
|>|> 				for rough consensus and running code,
|>|> 				paul
|>|> _______________________________________________
|>|> pcp mailing list
|>|> [email-masked]
|>|> https://www.ietf.org/mailman/listinfo/pcp
|>|
|>|
|>|
|>_______________________________________________
|>pcp mailing list
|>[email-masked]
|>https://www.ietf.org/mailman/listinfo/pcp
|
|